@echo off
IF EXIST PCBFAIL.TXT DEL PCBFAIL.TXT
IF EXIST PCBPASS.TXT DEL PCBPASS.TXT
IF NOT EXIST U:\TMP\PCBTEST*.LCK GOTO OK
PROECHO %COMPORT% ~Waiting for other nodes to finish running ULP..
NTM START >NUL

:WAITING
PROECHO %COMPORT% .
NTM STOP "WAITING FOR ULP LOCKS"
DIR U:\TMP\PCBTEST\*.LCK
TIMEPAUS 10
IF ERRORLEVEL 1 GOTO OK
IF EXIST U:\TMP\PCBTEST*.LCK GOTO WAITING
PROECHO %COMPORT% ~

:OK
SET LCK=U:\TMP\PCBTEST%PCBNODE%.LCK
ECHO TESTING: %1
U:\ULP\ULPTEST -CU:\ULP\ULP.CFG -F%1 -M%2 -D%3 %4 %5 %6 >%LCK%
IF ERRORLEVEL 200 GOTO EXIT200
IF ERRORLEVEL 126 GOTO EXIT126
IF ERRORLEVEL 125 GOTO EXIT125
IF ERRORLEVEL 124 GOTO EXIT124
IF ERRORLEVEL 122 GOTO EXIT122
IF ERRORLEVEL 121 GOTO EXIT121
IF ERRORLEVEL 120 GOTO EXIT120
IF ERRORLEVEL 117 GOTO EXIT117
IF ERRORLEVEL 115 GOTO EXIT115
IF ERRORLEVEL 114 GOTO EXIT114
IF ERRORLEVEL 113 GOTO EXIT113
IF ERRORLEVEL 112 GOTO EXIT112
IF ERRORLEVEL 111 GOTO EXIT111
IF ERRORLEVEL 110 GOTO EXIT110
IF ERRORLEVEL 109 GOTO EXIT109
IF ERRORLEVEL 108 GOTO EXIT108
IF ERRORLEVEL 107 GOTO EXIT107
IF ERRORLEVEL 106 GOTO EXIT106
IF ERRORLEVEL 105 GOTO EXIT105
IF ERRORLEVEL 104 GOTO EXIT104
IF ERRORLEVEL 103 GOTO EXIT103
IF ERRORLEVEL 102 GOTO EXIT102
IF ERRORLEVEL 101 GOTO EXIT101
IF ERRORLEVEL 100 GOTO EXIT100
IF ERRORLEVEL 99 GOTO EXIT99
IF ERRORLEVEL 12 GOTO EXIT12
IF ERRORLEVEL 11 GOTO EXIT11
IF ERRORLEVEL 10 GOTO EXIT10
IF ERRORLEVEL 9 GOTO EXIT9
IF ERRORLEVEL 8 GOTO EXIT8
IF ERRORLEVEL 7 GOTO EXIT7
IF ERRORLEVEL 5 GOTO EXIT5
IF ERRORLEVEL 4 GOTO EXIT4
IF ERRORLEVEL 3 GOTO EXIT3
IF ERRORLEVEL 2 GOTO EXIT2
IF ERRORLEVEL 1 GOTO EXIT1
GOTO EXIT0

:EXIT200
ECHO ERRORLEVEL 200: Undefined error (internal to ULP system program(s)) >>%LCK%
GOTO FAIL
:EXIT126
ECHO ERRORLEVEL 126: Unable to determine comm port information >>%LCK%
GOTO FAIL
:EXIT125
ECHO ERRORLEVEL 125: Unable to open privileged user list file >>%LCK%
GOTO FAIL
:EXIT124
ECHO ERRORLEVEL 124: ZDCS/ULP interface program failure >>%LCK%
GOTO FAIL
:EXIT122
ECHO ERRORLEVEL 122: Unable to access PCBOARD.SYS >>%LCK%
GOTO FAIL
:EXIT121
ECHO ERRORLEVEL 121: Unable to process com port/invalid port parameter >>%LCK%
GOTO FAIL
:EXIT120
ECHO ERRORLEVEL 120: Invalid or old database format >>%LCK%
GOTO FAIL
:EXIT117
ECHO ERRORLEVEL 117: Invalid or no node number (valid values are 1 to 256) >>%LCK%
GOTO FAIL
:EXIT115
ECHO ERRORLEVEL 115: Invalid filename provided by user on command-line >>%LCK%
GOTO FAIL
:EXIT114
ECHO ERRORLEVEL 114: Unable to open BBS ads database file (ULP, ULPADS) >>%LCK%
GOTO FAIL
:EXIT113
ECHO ERRORLEVEL 113: Unable to open/lock duplication database file(s) >>%LCK%
GOTO FAIL
:EXIT112
ECHO ERRORLEVEL 112: Invalid registration code or attempting to run 286 or 386 >>%LCK%
GOTO FAIL
:EXIT111
ECHO ERRORLEVEL 111: Unable to open or lock disk logging file >>%LCK%
GOTO FAIL
:EXIT110
ECHO ERRORLEVEL 110: Unable to allocate heap memory >>%LCK%
GOTO FAIL
:EXIT109
ECHO ERRORLEVEL 109: Upload directory list file(s) not found >>%LCK%
GOTO FAIL
:EXIT108
ECHO ERRORLEVEL 108: Invalid disk buffer size >>%LCK%
GOTO FAIL
:EXIT107
ECHO ERRORLEVEL 107: No primary archiver defined (ULP) >>%LCK%
GOTO FAIL
:EXIT106
ECHO ERRORLEVEL 106: Excessive number of words defined in archive information line >>%LCK%
GOTO FAIL
:EXIT105
ECHO ERRORLEVEL 105: Excessive number of command line parameters defined for archiver >>%LCK%
GOTO FAIL
:EXIT104
ECHO ERRORLEVEL 104: Excessive number of command line parameters for file checker >>%LCK%
GOTO FAIL
:EXIT103
ECHO ERRORLEVEL 103: Invalid configuration file format >>%LCK%
GOTO FAIL
:EXIT102
ECHO ERRORLEVEL 102: Config file not found >>%LCK%
GOTO FAIL
:EXIT101
ECHO ERRORLEVEL 101: Unknown command line parameter >>%LCK%
GOTO FAIL
:EXIT100
ECHO ERRORLEVEL 100: Could not close all open files >>%LCK%
GOTO FAIL
:EXIT99
ECHO ERRORLEVEL 99: Invalid command line or insufficient number of arguments) >>%LCK%
GOTO FAIL
:EXIT12
ECHO ERRORLEVEL 12: Unable to create work space >>%LCK%
GOTO FAIL
:EXIT11
ECHO ERRORLEVEL 11: GIF compressed with GIFLITE >>%LCK%
GOTO FAIL
:EXIT10
ECHO ERRORLEVEL 10: Unacceptable GIF resolution >>%LCK%
GOTO FAIL
:EXIT9
ECHO ERRORLEVEL 9: Bad GIF file >>%LCK%
GOTO FAIL
:EXIT8
ECHO ERRORLEVEL 8: Encrypted file found in archive files >>%LCK%
GOTO FAIL
:EXIT7
ECHO ERRORLEVEL 7: Age limit exceeded by archive files >>%LCK%
GOTO FAIL
:EXIT5
ECHO ERRORLEVEL 5: Error duplicate checking archive files >>%LCK%
GOTO FAIL
:EXIT4
ECHO ERRORLEVEL 4: Error file checking archive files (virus, etc.) >>%LCK%
GOTO FAIL
:EXIT3
ECHO ERRORLEVEL 3: Error unpacking archive (archive integrity) >>%LCK%
GOTO FAIL
:EXIT2
ECHO ERRORLEVEL 2: DOS reserved keyword found in archive >>%LCK%
GOTO FAIL
:EXIT1
ECHO ERRORLEVEL 1: Unknown archive format >>%LCK%
GOTO FAIL
:EXIT0
ECHO ERRORLEVEL 0: Successful execution >>%LCK%
GOTO PASS

:FAIL
ECHO FAILED! >>PCBFAIL.TXT

:PASS
IF EXIST U:\TMP\PCBTEST%PCBNODE%.OUT DEL U:\TMP\PCBTEST%PCBNODE%.OUT
IF EXIST %LCK% REN %LCK% PCBTEST%PCBNODE%.OUT

REM IF TEST FAILED, PASS RESULTS TO THE USER
IF EXIST PCBFAIL.TXT ULPFMT U:\TMP\PCBTEST%PCBNODE%.OUT PCBFAIL.TXT

REM IF 'TEST' COMMAND USED, PASS RESULTS EVEN WHEN OK
IF NOT EXIST PCBFAIL.TXT IF %2 == TEST ULPFMT U:\TMP\PCBTEST%PCBNODE%.OUT PCBPASS.TXT

